extends Control

const BAR_SCENE := "res://bar/Bar.tscn"

onready var _buttons := $Buttons
onready var _introduction_interface := $IntroductionInterface
onready var _hover_sound := $Buttons/Hover
onready var _click_sound := $Buttons/Click

func _on_PlayButton_pressed():
	_click_sound.play()
	_buttons.hide()
	_introduction_interface.start_introduction()

func _on_ExitButton_pressed():
	_click_sound.play()
	yield(_click_sound, "finished")
	get_tree().quit()

func _on_IntroductionInterface_hide():
	var _error = get_tree().change_scene(BAR_SCENE)

func _on_Button_hover():
	_hover_sound.play()
