extends RichTextLabel

onready var Timer := $Timer

var current_text := "" setget set_current_text
var finished := true
var _bbcode_tag := ""

func _dialogue(string:String) -> void:
	finished = false
	for letter in string:
		if finished:
			bbcode_text = string
			break
		else:
			Timer.start()
			if letter == '[' or not _bbcode_tag.empty():
				_bbcode_tag += letter
				if letter == ']':
					bbcode_text += _bbcode_tag
					_bbcode_tag = ""
			else:
				bbcode_text += letter
				yield(Timer, "timeout")
	finished = true

func set_current_text(_current_text:String) -> void:
	bbcode_text = ""
	current_text = _current_text
	_dialogue(self.current_text)
