class_name DialogueOption
extends TextureButton

onready var _label := $Label
onready var _hover_sound := $Hover
onready var _click_sound := $Click

var key:String

func config(key:String, text:String):
	self.key = key
	_label.text = text

func _on_DialogueOption_mouse_entered():
	_hover_sound.play()

func _on_DialogueOption_pressed():
	_click_sound.play()
