extends Control

onready var _buttons := $Buttons
onready var _dialogue_interface := $DialogueInterface
onready var _counter_panel := $CounterPanel

func _hide_buttons() -> void:
	_buttons.hide()

func _show_buttons() -> void:
	_buttons.show()

func _on_panel_hidden() -> void:
	_show_buttons()

func _on_DialogueButton_pressed() -> void:
	_hide_buttons()
	_dialogue_interface.start_dialogue()

func _on_CounterButton_pressed():
	_hide_buttons()
	_counter_panel.open()
